init:
    $ mods["NLT_route_selector"] = "New Life Team рут-селектор"
    
init python:
    NLT_route = None
    NLT_route_start = "begin"
    NLT_route_ending = None
    NLT_route_done_endings = {"good":False, "bad":False}

    if _preferences.language == None:
        NLT_lang = 0
    else:
        NLT_lang = 1

    style.NLT_text = Style(style.settings_text)
    style.NLT_text.insensitive_color = "#aaa"

    NLT_tl= {}
    
    NLT_tl["collector"] = ("Коллекционер", "Collector")
    NLT_tl["selected_route"] = ("Рут не выбран", "Route is not selected")
    NLT_tl["select_mod"] = ("Выберите мод", "Select a mod")
    NLT_tl["route_selector"] = ("Рут-селектор", "Route selector")
    NLT_tl["ach_sync"] = ("Улучшенная синхронизация достижений", "Improved achievement synchronization")
    NLT_tl["reset_filters_settings"] = ("Сбросить настройки фильтров", "Reset filters settings")
    NLT_tl["which_route"] = ("Какой рут будем проходить?", "Which route will we play?")
    NLT_tl["where_to_start"] = ("С какого места начать рут?", "Where to start the route?")
    NLT_tl["select_route_first"] = ("Сначала выберите рут!", "Select route first!")
    NLT_tl["route_start"] = ("Начало рута", "Route start")
    NLT_tl["day6"] = ("День 6", "Day 6")
    NLT_tl["day7"] = ("День 7", "Day 7")
    NLT_tl["epilogue"] = ("Эпилог", "Epilogue")
    NLT_tl["which_ending"] = ("На какую концовку идём?", "Which ending will we play?")
    NLT_tl["key_choice_day7"] = ("Концовка зависит от ключевого\nвыбора в седьмом дне", "The ending depends on key choice in 7th day")
    NLT_tl["mi_ending"] = ("В этом руте только одна концовка", "This route has only one ending")
    NLT_tl["key_choice_epilogue"] = ("Концовка зависит от ключевого выбора в эпилоге", "The ending depends on key choice in epilogue")
    NLT_tl["good"] = ("Хорошая", "Good")
    NLT_tl["bad"] = ("Плохая", "Bad")
    NLT_tl["lets_go"] = ("Поехали!", "Let's go!")
    NLT_tl["ach_sync_descr"] = (
    "Этот мод позволяет синхронизировать достижения со Steam'ом, если обычная синхронизация в списке концовок не работает. Вы можете синхронизировать все достижения сразу или выбрать отдельные достижения, если необходимо восстановить их в порядке получения.\nСинхронизация теперь двунаправленная, и если у вас есть достижения в Steam, но нет концовок в игре, вы можете получить к ним доступ.",
    "This mod allows you to synchronize your achievements with Steam, if regular synchronization in endings list does not work. You can synchronize all achievements at once or select individual achievements, if you want to restore them in order of receipt.\nSynchronization is now bi-directional, and if you have achievements on Steam, but there are no endings in the game, you can access them."
    )
    NLT_tl["ach_sync_all"] = ("Синхронизировать все достижения", "Sync all achievements")
    NLT_tl["ach_custom_sync"] = ("Синхронизировать выборочно", "Custom synchronization")
    NLT_tl["ach_all_synced"] = ("Достижения синхронизированы!", "Achievements are synchronized!")
    NLT_tl["ach_select"] = ("Выберите достижение\nдля синхронизации", "Select achievement\nto synchronize")
    NLT_tl["filters_reset"] = ("Сброс настроек фильтров", "Reset filters settings")
    NLT_tl["filters_reset_descr"] = (
    "Этот мод позволяет устранить проблему с вылетом игры при попытке входа в меню фильтров. Нажмите кнопку «Сбросить фильтры», после чего игра перезапустится. Во время этого процесса может показаться, что игра зависла, но на самом деле нужно просто набраться терпения, особенно если у вас установлено много модов.",
    "This mod allows you to fix the game crash when you try to enters filters management menu. Click the \"Reset Filters\" button, and then the game will restart. During this process, it may seem that the game freezes, but in fact you just need to be patient, especially if you have installed a lot of mods."
    )
    NLT_tl["reset_filters"] = ("Сбросить фильтры", "Reset filters")
    NLT_tl["game_restarting"] = ("Игра перезапускается, пожалуйста, подождите…", "The game is restarting, please wait…")
    NLT_tl["mod_cleaner"] = ("Удаление остатков модов", "Mod junk files cleaner")
    NLT_tl["mod_not_installed"] = ("Этот мод не установлен. Нажмите на ссылку ниже, чтобы открыть страницу мода в мастерской. После подписки на мод вам необходимо перезапустить игру.", "This mod is not installed. Click link below to open mod page in Steam workshop. You need to restart game after subcribing to mod.")
    NLT_tl["install_mod"] = ("Открыть страницу мода", "Open mod page")
    NLT_tl["generate_mod_list"] = ("Создать список установленных модов", "Generate list of installed mods")
    NLT_tl["mods_list_generator"] = ("Создание списка установленных модов", "Installed mods list generator")
    NLT_tl["mod_list_gen_descr"] = (
    "Этот мод создаёт получает список установленных модов и фильтров и сохраняет в файл. Это может быть полезно в тех случаях, когда мододел просит у вас список установленных модов для устранения ошибки в своём моде.",
    "This mod creates a list of installed mods and filters and saves it to a file. This can be useful in cases where the author of the mod asks you for a list of installed mods to fix the error in his mod."
    )
    NLT_tl["windows_mods_file"] = ("Список модов сохранён в файл NLT_mods_list.txt в папке игры. Нажмите на кнопку ниже, чтобы открыть файл.", "Mods list was saved to file NLT_mods_list.txt in game folder. Press button below to open this file.")
    NLT_tl["others_mods_file"] = ("Список модов сохранён в файл NLT_mods_list.txt в папке игры.", "Mods list was saved to file NLT_mods_list.txt in game folder.")
    NLT_tl["open_mods_list"] = ("Открыть список установленны модов", "Open installed mods list")
    NLT_tl["esgml"] = ("Everlasting Summer Git Mods Loader", "Everlasting Summer Git Mods Loader")
    NLT_tl["esgml_descr"] = (
    "Это альтернативный репозиторий модов, которых больше нет в мастерской. Если вы искали какой-то мод, который раньше был в мастерской, но был удалён оттуда, установите этот репозиторий - возможно, в нём вы найдёте искомый мод.",
    "This is an alternative repository of mods, which are no longer in the workshop. If you were looking for a mod that used to be in the workshop, but was removed from there, install this repository - perhaps in it you will find the desired mod.\nThis repository contains only Russian mods, so if you do not speak Russian, you do not need this repository."
    )
    NLT_tl["open_repo"] = ("Открыть репозиторий", "Open repository")
    
    NLT_selected_route = NLT_tl["selected_route"][NLT_lang]

    def NLT_route_check():
        global NLT_route
        global NLT_route_ending
        route = NLT_route
        if route == "me":
            if persistent.endings["main_good"]:
                NLT_route_done_endings["good"] = True
            else:
                NLT_route_done_endings["good"] = False
            if persistent.endings["main_bad"]:
                NLT_route_done_endings["bad"] = True
            else:
                NLT_route_done_endings["bad"] = False
        elif route == "sl":
            if persistent.endings["sl_good"]:
                NLT_route_done_endings["good"] = True
            else:
                NLT_route_done_endings["good"] = False
            if persistent.endings["sl_bad"]:
                NLT_route_done_endings["bad"] = True
            else:
                NLT_route_done_endings["bad"] = False
        elif route == "dv":
            if persistent.endings["dv_good"]:
                NLT_route_done_endings["good"] = True
            else:
                NLT_route_done_endings["good"] = False
            if persistent.endings["dv_bad"]:
                NLT_route_done_endings["bad"] = True
            else:
                NLT_route_done_endings["bad"] = False
        elif route == "un":
            if persistent.endings["un_good"]:
                NLT_route_done_endings["good"] = True
            else:
                NLT_route_done_endings["good"] = False
            if persistent.endings["un_bad"]:
                NLT_route_done_endings["bad"] = True
            else:
                NLT_route_done_endings["bad"] = False
        elif route == "us":
            if persistent.endings["us_good"]:
                NLT_route_done_endings["good"] = True
            else:
                NLT_route_done_endings["good"] = False
            if persistent.endings["us_bad"]:
                NLT_route_done_endings["bad"] = True
            else:
                NLT_route_done_endings["bad"] = False
        if NLT_route_done_endings["good"] and not NLT_route_done_endings["bad"]:
            NLT_route_ending = "good"
        elif NLT_route_done_endings["bad"] and not NLT_route_done_endings["good"]:
            NLT_route_ending = "bad"
        elif NLT_route_done_endings["bad"] and NLT_route_done_endings["good"]:
            NLT_route_ending = "any"

    def NLT_reload_data():
        global NLT_routes
        global NLT_tl
        routes = [
            (translation_new["me"], "me", persistent.endings["main_good"] or persistent.endings["main_bad"]),
            (translation_new["sl"], "sl", persistent.endings["sl_good"] or persistent.endings["sl_bad"]),
            (translation_new["dv"], "dv", persistent.endings["dv_good"] or persistent.endings["dv_bad"]),
            (translation_new["un"], "un", persistent.endings["un_good"] or persistent.endings["un_bad"]),
            (translation_new["us"], "us", persistent.endings["us_good"] or persistent.endings["us_bad"]),
            (translation_new["mi"], "mi", persistent.endings["mi"]),
            (translation_new["uv"], "uv", persistent.endings["uv_unknown_fucken_shit"] or persistent.endings["uv_city"]),
        ]
        NLT_routes = routes

label NLT_route_selector:
    with fade
    # scene expression get_image("gui/settings/preferences_bg.jpg")
    # with fade
    $ day_time()
    play music music_list["blow_with_the_fires"] fadein 1
    $ NLT_reload_data()
    call screen NLT_route_select with dissolve
    
screen NLT_route_select:
    modal True
    tag NLT
    window background get_image("gui/settings/preferences_bg.jpg"):
        hbox xalign 0.5 yalign 0.08:
            add get_image("gui/settings/star.png") yalign 0.65
            text " " + NLT_tl["route_selector"][NLT_lang] + " " style "settings_link" yalign 0.5 color "#ffffff"
            add get_image("gui/settings/star.png") yalign 0.65
        textbutton translation_new["Back"] style "log_button" text_style "settings_link" xalign 0.015 yalign 0.92 action MainMenu(confirm=False)
        
        side "c b r":
            area (0.25, 0.23, 0.51, 0.71)
            viewport id "NLT_menu":
                mousewheel True
                draggable True
                scrollbars None
                has vbox xfill True spacing 15
                # Выбор рута
                text NLT_tl["which_route"][NLT_lang] xalign 0.5 style "settings_header"
                textbutton NLT_selected_route xalign 0.5 style "log_button" text_style "settings_text" action Show("NLT_route_list", transition=dspr)
                
                # Выбор дня
                text NLT_tl["where_to_start"][NLT_lang] xalign 0.5 style "settings_header"
                if NLT_route == None:
                    text NLT_tl["select_route_first"][NLT_lang] style "settings_text" xalign 0.5
                elif NLT_route == "mi" or NLT_route == "uv":
                    text NLT_tl["epilogue"][NLT_lang] style "settings_text" xalign 0.5
                else:
                    hbox xalign 0.5 xmaximum 0.8 spacing 15:
                        hbox xalign 0.5:
                            if NLT_route_start == "begin":
                                add get_image("gui/settings/leaf.png") ypos 0.12
                            else:
                                null width 22
                            textbutton NLT_tl["route_start"][NLT_lang] style "log_button" text_style "settings_text" xalign 0.5 action SetVariable("NLT_route_start", "begin")
                        hbox xalign 0.5:
                            if NLT_route_start == "day6":
                                add get_image("gui/settings/leaf.png") ypos 0.12
                            else:
                                null width 22
                            textbutton NLT_tl["day6"][NLT_lang] style "log_button" text_style "settings_text" xalign 0.5 action SetVariable("NLT_route_start", "day6")
                        hbox xalign 0.5:
                            if NLT_route_start == "day7":
                                add get_image("gui/settings/leaf.png") ypos 0.12
                            else:
                                null width 22
                            textbutton NLT_tl["day7"][NLT_lang] style "log_button" text_style "settings_text" xalign 0.5 action SetVariable("NLT_route_start", "day7")
                        hbox xalign 0.5:
                            if NLT_route_start == "epilogue":
                                add get_image("gui/settings/leaf.png") ypos 0.12
                            else:
                                null width 22
                            textbutton NLT_tl["epilogue"][NLT_lang] style "log_button" text_style "settings_text" xalign 0.5 action SetVariable("NLT_route_start", "epilogue")
                
                # Выбор концовки
                text NLT_tl["which_ending"][NLT_lang] xalign 0.5 style "settings_header"
                if NLT_route == None:
                    text NLT_tl["select_route_first"][NLT_lang] style "settings_text" xalign 0.5
                elif NLT_route == "me" and (NLT_route_start == "begin" or NLT_route_start == "day6" or NLT_route_start == "day7"):
                    text NLT_tl["key_choice_day7"][NLT_lang] style "settings_text" xalign 0.5 text_align 0.5
                elif NLT_route == "mi":
                    text NLT_tl["mi_ending"][NLT_lang] style "settings_text" xalign 0.5
                elif NLT_route == "uv":
                    text NLT_tl["key_choice_epilogue"][NLT_lang] style "settings_text" xalign 0.5 text_align 0.5
                else:
                    hbox xalign 0.5 xmaximum 0.8 spacing 15:
                        hbox xalign 0.5:
                            if NLT_route_ending == "good":
                                add get_image("gui/settings/leaf.png") ypos 0.12
                            else:
                                null width 22
                            textbutton NLT_tl["good"][NLT_lang]:
                                style "log_button" text_style "NLT_text" xalign 0.5
                                if NLT_route_done_endings["good"]:
                                    action SetVariable("NLT_route_ending", "good")
                        hbox xalign 0.5:
                            if NLT_route_ending == "bad":
                                add get_image("gui/settings/leaf.png") ypos 0.12
                            else:
                                null width 22
                            textbutton NLT_tl["bad"][NLT_lang]:
                                style "log_button" text_style "NLT_text" xalign 0.5
                                if NLT_route_done_endings["bad"]:
                                    action SetVariable("NLT_route_ending", "bad")
                if (not NLT_route == None and not NLT_route_ending == "any") or (NLT_route == "mi" or NLT_route == "uv") or (NLT_route == "me" and not NLT_route_start == "epilogue"):
                    textbutton NLT_tl["lets_go"][NLT_lang] style "log_button" text_style "settings_header" xalign 0.5 action (Hide("NLT_route_select", dissolve), Jump("NLT_router"))
                else:
                    null

screen NLT_route_list:
    modal True
    button style "blank_button" xpos 0 ypos 0 xfill True yfill True action Hide("NLT_route_list", transition=dspr)
    frame background Frame(get_image("gui/choice/day/choice_box.png"),50,50) xalign 0.5 yalign 0.5 left_padding 75 right_padding 75 bottom_padding 50 top_padding 50:
        has vbox xalign 0.5
        hbox xalign 0.5 spacing 10:
            for name, route, ending in NLT_routes[0:4]:
                if ending:
                    vbox xalign 0.5 xmaximum 200:
                        imagebutton idle im.Alpha("NLT_route_selector/avatars/" + route + ".png", 0.9) hover "NLT_route_selector/avatars/" + route + "_hover.png" action (SetVariable("NLT_selected_route", name), SetVariable("NLT_route", route), SetVariable("NLT_route_start", "begin"), Function(NLT_route_check), Hide("NLT_route_list", transition=dspr))
                        null height 10
                        textbutton name style "log_button" text_style "sprite_menu" text_color "#909ca3" text_hover_color "#ffffff" action (SetVariable("NLT_selected_route", name), SetVariable("NLT_route", route), SetVariable("NLT_route_start", "begin"), Function(NLT_route_check), Hide("NLT_route_list", transition=dspr)) xalign 0.5
                else:
                    vbox xalign 0.5 xmaximum 200:
                        add "NLT_route_selector/avatars/unknown.png" xalign 0.5 yalign 0.5
                        null height 10
                        text "??????????" style "sprite_menu" color "#909ca3" xalign 0.5
        null height 10
        hbox xalign 0.5 spacing 10:
            for name, route, ending in NLT_routes[4:]:
                if ending:
                    vbox xalign 0.5 xmaximum 200:
                        imagebutton idle im.Alpha("NLT_route_selector/avatars/" + route + ".png", 0.9) hover "NLT_route_selector/avatars/" + route + "_hover.png" action (SetVariable("NLT_selected_route", name), SetVariable("NLT_route", route), SetVariable("NLT_route_start", "begin"), Function(NLT_route_check), Hide("NLT_route_list", transition=dspr))
                        null height 10
                        textbutton name style "log_button" text_style "sprite_menu" text_color "#909ca3" text_hover_color "#ffffff" action (SetVariable("NLT_selected_route", name), SetVariable("NLT_route", route), SetVariable("NLT_route_start", "begin"), Function(NLT_route_check), Hide("NLT_route_list", transition=dspr)) xalign 0.5
                else:
                    vbox xalign 0.5:
                        add "NLT_route_selector/avatars/unknown.png"
                        null height 10
                        text "??????????" style "sprite_menu" color "#909ca3" xalign 0.5

    on "show" action Function(NLT_reload_data)

label NLT_router:
    $ renpy.block_rollback()
    stop music fadeout 1
    scene black with dissolve
    $ renpy.pause(1, hard=True)
    
    if NLT_route == "me":
        $ day3_got_fail = 0
        if NLT_route_start == "begin" or NLT_route_start == "day6":
            jump day6_main
        elif NLT_route_start == "day7":
            jump day7_main
        elif NLT_route_start == "epilogue":
            if NLT_route_ending == "good":
                jump epilogue_main
            elif NLT_route_ending == "bad":
                jump main_bad_ending
    
    if NLT_route == "sl":
        if NLT_route_ending == "good":
            $ lp_sl = 9
            $ epilogue_sl_good = 1
        elif NLT_route_ending == "bad":
            $ lp_sl = 6
            $ epilogue_sl_bad = 1
        if NLT_route_start == "begin":
            jump NLT_polyana
        elif NLT_route_start == "day6":
            jump day6_sl
        elif NLT_route_start == "day7":
            jump day7_sl
        elif NLT_route_start == "epilogue":
            jump epilogue_sl
    
    if NLT_route == "dv":
        if NLT_route_ending == "good":
            $ lp_dv = 9
            $ epilogue_dv_good = 1
        elif NLT_route_ending == "bad":
            $ lp_dv = 6
            $ epilogue_dv_bad = 1
        if NLT_route_start == "begin":
            jump NLT_polyana
        elif NLT_route_start == "day6":
            jump day6_dv
        elif NLT_route_start == "day7":
            jump day7_dv
        elif NLT_route_start == "epilogue":
            jump epilogue_dv
    
    if NLT_route == "un":
        if NLT_route_ending == "good":
            $ lp_un = 9
        elif NLT_route_ending == "bad":
            $ lp_un = 6
        if NLT_route_start == "begin":
            jump NLT_polyana
        elif NLT_route_start == "day6":
            jump day6_un
        elif NLT_route_start == "day7":
            jump day7_un
        elif NLT_route_start == "epilogue":
            if lp_un == 9:
                jump epilogue_un_good
            if lp_un == 6:
                jump epilogue_un_bad
    
    if NLT_route == "us":
        if NLT_route_ending == "good":
            $ lp_us = 11
            $ epilogue_us_good = 1
        elif NLT_route_ending == "bad":
            $ lp_us = 5
            $ epilogue_us_bad = 1
        if NLT_route_start == "begin":
            jump NLT_polyana
        elif NLT_route_start == "day6":
            jump day6_us
        elif NLT_route_start == "day7":
            jump day7_us
        elif NLT_route_start == "epilogue":
            jump epilogue_us
    
    if NLT_route == "mi":
        $ night_time()
        play ambience ambience_catacombs_stones fadein 3
        play music music_list["sunny_day"] fadein 3
        jump fail_mine_miku
    
    if NLT_route == "uv":
        $ night_time()
        play ambience ambience_catacombs_stones fadein 3
        jump day4_uv
    
label NLT_polyana:
    $ sunset_time()
    $ persistent.sprite_time = "sunset"
    play music music_list["dance_of_fireflies"] fadein 3
    play sound_loop sfx_forest_fireplace fadein 3
    scene bg ext_polyana_sunset with dissolve
    window show
    if NLT_route == "sl":
        jump day5_sl
    elif NLT_route == "dv":
        jump day5_dv
    elif NLT_route == "un":
        jump day5_un
    elif NLT_route == "us":
        jump day5_us
